CDs won't resume playing after being paused

Bug #795765 reported by PC on 2011-06-10
90
This bug affects 20 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
James M. Leddy
Precise
Medium
Unassigned
Quantal
Medium
James M. Leddy
Rhythmbox
Fix Released
Critical
rhythmbox (Ubuntu)
High
Jeremy Bicha
Precise
High
Unassigned
Quantal
High
Unassigned

Bug Description

[IMPACT]

 * Rhythmbox won't resume playing an audio CD if you pause it.

[TESTCASE]

 * Insert an audio CD (not an mp3 CD but a traditional one you'd buy from the music store)
 * Test if play and pause work.

[Regression Potential]

* None, audio CD playback is already very badly broken.

[ Original Bug Report ]

Start a music track playing in a usual way, such as highlighting a track and pressing the play/pause button or double LMB clicking on a track. The play/pause button icon changes to a pause icon.

If the play/pause button is pressed the button changes to a play button but has no effect on the track playing. The title bar of Rhythmbox then has "(Paused") displayed after the artist and track details.

If the play/pause button is pressed again it "goes in and comes out" but stays as a play button and the track carries on playing. A "pause" icon is displayed in the left "speaker icon" column in the track list next to the track that has been paused. The only way to stop the track playing is to "Quit" Rhythmbox.

The next and previous track buttons do work correctly on a playing track, if the pause/play button is not pressed first. Also the slider that indicates how the progress of track can be moved left or right and everything behaves as expected. It is just that there is no way to pause/stop a playing track.

The same behaviour happens if either the buttons on the top menu bar are used, or the laptop "hot key" buttons.

If a second track is double LMB clicked to start (after a previous track has tried to be paused) the second track starts to play with the first one still playing as well. The play/pause button turns back to a pause button again. If the play/pause button is pressed the same behaviour is observed it turns to a play button, the menu bar displays "(Paused)" and the track carries on playing. This process can be repeated so that you have multiple tracks all playing and non being able to be paused/stop. Also using the previous/next track buttons, after one has tried to pause a track, causes a new track to start playing. A quit is the only control you seem to have to stop music playing.

I have also started rhythmbox from a terminal in debug mode using:
rhythmbox -d 2&> rhythmbox_debug.txt
and started track tried to pause it, used previous/next buttons, pressed play/pause again etc, so multiple tracks were playing.

I have attached this output to this report.

If I open the same folder of music (mp3 files) in VLC I can play/pause the music, previous/next buttons work ok.

I have also tried Ubuntu 11.04 from the live CD, where Banshee is the default music player. I seemed to get the same behaviour with play/pause (ie not working) as I did with rhythmbox in 10.10.

$ lsb_release -rd
Description: Ubuntu 10.10
Release: 10.10

$ apt-cache policy rhythmbox
rhythmbox:
  Installed: 0.13.1-0ubuntu6.1
  Candidate: 0.13.1-0ubuntu6.1
  Version table:
 *** 0.13.1-0ubuntu6.1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ maverick-updates/main i386 Packages
        100 /var/lib/dpkg/status
     0.13.1-0ubuntu5 0
        500 http://gb.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: rhythmbox 0.13.1-0ubuntu6.1
ProcVersionSignature: Ubuntu 2.6.35-28.50-generic-pae 2.6.35.11
Uname: Linux 2.6.35-28-generic-pae i686
Architecture: i386
Date: Fri Jun 10 22:41:02 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: rhythmbox

Related branches

CVE References

PC (pc101) wrote :
PC (pc101) wrote :

I have now downloaded and installed Banshee (1.8.1) in 10.10 and play/pause works fine in this tool.
I can even use the laptop play/pause using the laptop play/pause hotkey correctly.

This makes it even more odd that when I tried the Live CD of Ubuntu 11.04, where Banshee is the default, integrated music player that it had the same issues with play/pause not working correctly, as the default Rythmbox music player in 10.10.
Is it something about the integration of the default music player (ie the fancy controls in the main menu bar) that is the real issue?

PC (pc101) wrote :

Having installed 11.04 (32bit, clean install) on the same machine, the play/pause button works correctly.
This is in the default music player (Banshee) controls, using laptop hotkeys and using menu bar quick access controls.
This was tried with both the unity and standard gnome desktops.
I don't know why this did not seem to work correctly from the live CD, maybe it was due to one of the updates that was downloaded after the initial installation?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in rhythmbox (Ubuntu):
status: New → Confirmed
Rudi Sneek (rudi-sneek) wrote :

As far as I noticed, the problem occurs only when playing from a music-CD. When playing mp3, ogg vorbis, wav or other files stored on the computer itself, everything seem to work fine.

PC (pc101) wrote :

Installed Ubuntu 12.04 LTS desktop-i386 (32bit) on the machine that had the original problem.
The default music player is again rhythmbox, as it was on 10.10.

The problem no longer exists in 12.04. The play/pause button works correctly.

So for me, the original bug reporter, the issue is resolved.

Alex Wolfson (awolfson) wrote :

I see that bug in 12.04 64 bits on 3 Lenovo PCs, most likely the bug is not related to hardware.

Chris Gagnon (chris.gagnon) wrote :

This is a bug in 12.04, it affects all systems I've tested it on (Dell, Acer, Lenovo laptops)

Summary:
Rhythmbox does not resume playing a paused audio CD using the Play/Pause hotkey

Steps:
1) Log into desktop.
2) Insert an Audio CD into the CD ROM drive.
3) When the dialog box appears to request which app should be used, select Rythmbox and click OK.
4) Once Rythmbox has started, press the Play/Pause hotkey to start the music playing.
5) Hit the Play/Pause hotkey again.

Expected results: Audio CD resumes playing

Actual results: Audio CD does not resume playing.

affects: rhythmbox (Ubuntu) → oem-priority
summary: - In Ubuntu 10.10 Rhythmbox play/pause button does not work correctly
+ In Ubuntu Rhythmbox play/pause button does not work correctly
Changed in oem-priority:
assignee: nobody → David Barth (dbarth)
Changed in oem-priority:
assignee: David Barth (dbarth) → Ursula Junque (ursinha)
tags: added: rls-q-incomming
Changed in oem-priority:
importance: Undecided → Medium
Colin Watson (cjwatson) on 2012-06-26
tags: added: rls-q-incoming
removed: rls-q-incomming

Thank you for your bug report, the description is a bit hard to follow so some questions:

- is that specific to the use of the multimedia key of the keyboard (stated in comment #8)
- is that specific to CDs?
- does it happen with banshee?

Changed in rhythmbox (Ubuntu):
importance: Undecided → High
status: New → Incomplete
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
tags: removed: rls-q-incoming
Changed in oem-priority:
status: Confirmed → Incomplete
Chris Gagnon (chris.gagnon) wrote :

Yes. It is that specific to the use of the multimedia key of the keyboard.
Yes. It is specific to CD's (internet radio for example is not effected)
No. It does not happen with banshee.

Changed in oem-priority:
status: Incomplete → Confirmed
Changed in rhythmbox (Ubuntu):
status: Incomplete → Confirmed
Chris Gagnon (chris.gagnon) wrote :

The software play button will not resume playing audio after the track has been paused

Chris Gagnon (chris.gagnon) wrote :

This is the error in the terminal if rhythmbox is opened in the terminal

$rhythmbox

** (rhythmbox:8009): WARNING **: Error calling get_info: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/platform/linux/dbus_interface.py", line 723, in get_info
    return self.service.folders.get_info(path)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/interaction_interfaces.py", line 166, in inner
    result = f(*new_args, **new_kwargs)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/logger.py", line 283, in inner
    res = f(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/interaction_interfaces.py", line 717, in get_info
    mdobj = self.fs_manager.get_by_path(path)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/filesystem_manager.py", line 794, in get_by_path
    mdid = self._idx_path[path]
KeyError: '/home/u/.ubuntuone/Purchased from Ubuntu One'

** (rhythmbox:8009): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

(rhythmbox:8009): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
u@u-ThinkPad-Edge-E530:~$ rhythmbox

(rhythmbox:8059): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed

** (rhythmbox:8059): WARNING **: Error calling get_info: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/platform/linux/dbus_interface.py", line 723, in get_info
    return self.service.folders.get_info(path)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/interaction_interfaces.py", line 166, in inner
    result = f(*new_args, **new_kwargs)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/logger.py", line 283, in inner
    res = f(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/interaction_interfaces.py", line 717, in get_info
    mdobj = self.fs_manager.get_by_path(path)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/filesystem_manager.py", line 794, in get_by_path
    mdid = self._idx_path[path]
KeyError: '/home/u/.ubuntuone/Purchased from Ubuntu One'

** (rhythmbox:8059): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

Chris Gagnon (chris.gagnon) wrote :

This is not specific to the use of the multimedia key of the keyboard, I've reproduced it using the software pause/play button.

tags: added: rls-q-incoming
tags: removed: rls-q-incoming
Changed in rhythmbox (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Jeremy Bicha (jbicha) on 2012-10-03
summary: - In Ubuntu Rhythmbox play/pause button does not work correctly
+ CDs won't resume playing after being paused
Changed in rhythmbox:
importance: Unknown → Critical
status: Unknown → New
tags: added: rls-r-incoming
Yu Ning (yuningdodo) wrote :

Hi,

I am trying to fix this bug. I think this bug is caused by a missed cleanup in the "open location" thread.

Details can be found at [1].

Thanks
Ning

[1] https://code.launchpad.net/~yuningdodo/rhythmbox/cleanup_open_location_thread/+merge/130363

Jeremy Bicha (jbicha) on 2012-10-25
description: updated
Changed in rhythmbox (Ubuntu):
status: Confirmed → In Progress
Iain Lane (laney) on 2012-10-25
Changed in rhythmbox (Ubuntu Quantal):
status: New → In Progress
assignee: nobody → Jeremy Bicha (jbicha)
Iain Lane (laney) on 2012-10-25
Changed in rhythmbox (Ubuntu Precise):
assignee: nobody → Jeremy Bicha (jbicha)
Changed in rhythmbox (Ubuntu):
assignee: nobody → Jeremy Bicha (jbicha)
Changed in rhythmbox:
status: New → Fix Released
Jeremy Bicha (jbicha) wrote :

The Rhythmbox developers have fixed this slightly differently. I've updated https://code.launchpad.net/~ubuntu-desktop/rhythmbox/ubuntu with their patch if you'd like to re-upload since this hasn't been accepted into quantal-proposed yet.

Hello PC, or anyone else affected,

Accepted rhythmbox into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/rhythmbox/2.97-1ubuntu6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in rhythmbox (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
James M. Leddy (jm-leddy) wrote :

Hello, would someone on the PES team test this bug to make sure it's fixed to OEM's satisfaction?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.98-0ubuntu1

---------------
rhythmbox (2.98-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1060601)
  * debian/control.in:
    - Bump minimum glib, gtk, totem-plparser, clutter, and clutter-gst
    - Drop no longer needed musicbrainz dependency
  * Refreshed 09_keywords.patch
  * Updated 11_fix_cd_pausing.patch with fix from git
  * Dropped patches applied in new version:
    - 00git_musicbrainz5.patch
    - 08_CVE-2012-3355.patch
    - dont_free_consumed_floating_gvariant.patch
    - git_scale_click.patch
    - git_crash_during_monitor.patch
 -- Jeremy Bicha <email address hidden> Tue, 06 Nov 2012 20:52:57 -0500

Changed in rhythmbox (Ubuntu):
status: In Progress → Fix Released
Matthieu Baerts (matttbe) wrote :

Hello,

About this fix for the SRU, it seems it's not correct (as said Jeremy on comment #15) according to Jonathan Matthew, rhythmbox developer:
 "Thanks for the patch, but this isn't quite the right fix. The playlist parser
  thread isn't supposed to refer to the main thread's cancellable, because the
  user might have started playing something else by the time it runs. Instead,
  the shell player should have been clearing its pointer to the cancellable when
  pausing playback. I've made this change in commit 98e5a25."

The new patch is available there:
 * Git: http://git.gnome.org/browse/rhythmbox/commit/?id=98e5a25b3c32c9915357968a78783c1ac21c7130
 * Quantal: lp:~ubuntu-desktop/rhythmbox/ubuntu => https://bazaar.launchpad.net/~ubuntu-desktop/rhythmbox/ubuntu/revision/189
 * Raring: https://bazaar.launchpad.net/~ubuntu-branches/ubuntu/raring/rhythmbox/raring-proposed/revision/220#debian/patches/11_fix_cd_pausing.patch )

This is why I guess it's better to add this tag: verification-failed

tags: added: verification-failed
removed: verification-needed
Changed in rhythmbox (Ubuntu Quantal):
status: Fix Committed → In Progress
Jeremy Bicha (jbicha) on 2012-11-07
Changed in rhythmbox (Ubuntu Quantal):
assignee: Jeremy Bicha (jbicha) → nobody
Changed in rhythmbox (Ubuntu Precise):
assignee: Jeremy Bicha (jbicha) → nobody
status: New → Triaged
importance: Undecided → High
Changed in rhythmbox (Ubuntu Quantal):
importance: Undecided → High
PC (pc101) wrote :

Steve Langasek (vorlon) wrote on 2012-11-05: Please test proposed package #16 Hello PC ...

I have previously reported (all using the same hardware):

This as a bug with Rhythmbox (default music application) in version 10.10 (32bit)

The bug was still present with the 11.04 live CD with Banshee (default music application)
However, all worked correctly with a full 11.04 install (32bit) with the Banshee default music application

On a 12.04 install (32bit) with Rhythmbox (default music application) everything worked as expected

I had suggested:
"Is it something about the integration of the default music player (ie the fancy controls in the main menu bar) that is the real issue?"

So unfortunately (or not depending on your point of view) I cannot test your proposed solution as I no longer see the issue.

Matthieu Baerts (matttbe) wrote :

About this SRU: I propose a new version: https://code.launchpad.net/~matttbe/ubuntu/quantal/rhythmbox/1010619_795765/+merge/133343 (which is also linked to the bug #1010619)

Brian Murray (brian-murray) wrote :

Hello PC, or anyone else affected,

Accepted rhythmbox into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/rhythmbox/2.97-1ubuntu6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in rhythmbox (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Matthieu Baerts (matttbe) wrote :

It seems that with the latest version, we are able to play a song from a CD and put the music on hold (pause). Then we can restart the song but only from the beginning.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.97-1ubuntu6.1

---------------
rhythmbox (2.97-1ubuntu6.1) quantal-proposed; urgency=low

  * debian/patches/git_rhythmdb_fix_deadlock.patch:
    - Backported git patch to fix deadlock between db load and
      rhythmdb_add_uri_with_types: (LP: #1010619)
  * Updated 11_fix_cd_pausing.patch with fix from git (LP: #795765)
 -- Matthieu Baerts (matttbe) <email address hidden> Wed, 07 Nov 2012 17:26:55 +0100

Changed in rhythmbox (Ubuntu Quantal):
status: Fix Committed → Fix Released
Philipp Gassmann (phiphi.g) wrote :

If the bug is fixed, can it be backported to the LTS? As rhythmbox is part of the default application set and a playing CDs a major feature of a music player.
This bug is also marked, that it affects OEM Priority Projects. But the bug is stalled since almost a year. Why?

Shuduo Sang (sangshuduo) wrote :

this bug is still exist in 12.04 LTS. any plan to back port to precise?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.